
uniform sampler2D my_colortable_texture; // = 1
varying vec2      texture_coordinate;

void main()
{
	float scale = 256.0/1024.0 ;
	vec2 color_coord_normed;
	vec2 color_map_coord;
	vec4 color_map_val;

	color_coord_normed = texture_coordinate * scale ;

	color_map_val = vec4(0.0, 0.0, 0.0, 1.0);

	color_map_coord = vec2( color_coord_normed.x               , 0);
	//color_map_val.b = texture2D(my_colortable_texture, color_map_coord).r;

	color_map_coord = vec2( color_coord_normed.y + 1.0 * scale , 0);
	//color_map_val.g = texture2D(my_colortable_texture, color_map_coord).r;

	color_map_coord = vec2( color_coord_normed.x + 2.0 * scale , 0);
	color_map_val.r = texture2D(my_colortable_texture, color_map_coord).r;

	gl_FragColor = color_map_val;
}
