
#pragma optimize (on)
#pragma debug (off)

#ifndef GL_ARB_texture_rectangle
#error Needs GL_ARB_texture_rectangle
#endif

uniform sampler2DRect my_color_texture;      // = 0
uniform sampler2DRect my_colortable_texture; // = 1

varying vec4 cur_position;

void main()
{
	vec4 color_tex;
	vec2 color_map_coord;

	if(cur_position.x>gl_TexCoord[0].s)
		gl_FragColor.b=1;
	else if(cur_position.y>gl_TexCoord[0].t)
		gl_FragColor.b=1;
	else {

	// Sampling The Texture And Passing It To The Frame Buffer
	color_tex = texture2DRect(my_color_texture, gl_TexCoord[0].st) * 255.0;

	color_map_coord.y = 0;

	color_map_coord.x = color_tex.b;
	gl_FragColor.b = texture2DRect(my_colortable_texture, color_map_coord).b;

	color_map_coord.x = color_tex.g + 256.0;
	gl_FragColor.g = texture2DRect(my_colortable_texture, color_map_coord).g;

	color_map_coord.x = color_tex.r + 512.0;
	gl_FragColor.r = texture2DRect(my_colortable_texture, color_map_coord).r;

	}
	gl_FragColor.a   = 1.0;
}
